# Class JrePlatform

java.lang.Object
org.apache.tomcat.util.compat.JrePlatform

public class JrePlatform extends Object
Provides flags for detecting the operating system platform.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final boolean`
  `IS_MAC_OS`
  `true` if the current platform is macOS.
  `static final boolean`
  `IS_WINDOWS`
  `true` if the current platform is Windows.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `JrePlatform()`
  Constructs a new JrePlatform instance.

- ## Method Summary

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### IS_MAC_OS

    public static final boolean IS_MAC_OS
    `true` if the current platform is macOS.

  - ### IS_WINDOWS

    public static final boolean IS_WINDOWS
    `true` if the current platform is Windows.

- ## Constructor Details

  - ### JrePlatform

    public JrePlatform()
    Constructs a new JrePlatform instance. This class cannot be instantiated.